Package org.apache.wiki.util.comparators

# Enum HumanComparator.CharType

java.lang.Object
java.lang.Enum<HumanComparator.CharType>
org.apache.wiki.util.comparators.HumanComparator.CharType

All Implemented Interfaces:
  `Serializable`, `Comparable<HumanComparator.CharType>`

Enclosing class:
  HumanComparator

public static enum HumanComparator.CharType extends Enum<HumanComparator.CharType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TYPE_DIGIT`
`TYPE_LETTER`
`TYPE_OTHER`

## Method Summary

Modifier and Type
Method
Description
`static HumanComparator.CharType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HumanComparator.CharType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TYPE_OTHER

public static final HumanComparator.CharType TYPE_OTHER

### TYPE_DIGIT

public static final HumanComparator.CharType TYPE_DIGIT

### TYPE_LETTER

public static final HumanComparator.CharType TYPE_LETTER

## Method Details

### values

public static HumanComparator.CharType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HumanComparator.CharType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null